Subject: bug#22754: 25.1.50; Rmail does not follow RFC 2822

From: Andy Moreton <[email-masked]>
Date: Sun, 21 Feb 2016 15:42:22 +0000

On Sun 21 Feb 2016, Marcin Borkowski wrote:

> Dear Devs,
>
> Rmail inserts lower-case field names in the header, which goes against
> RFC 2822 (pp. 22 and 23, see
> https://tools.ietf.org/html/rfc2822#page-22).  It seems that the problem
> affects Cc: and In-reply-to: fields.  Below is a simple patch which
> seems to help.
>
> Best,
> mbork
>
> diff -u --label /home/mbork/ludzie-works/emacs/emacs/lisp/mail/rmail.el --label \#\<buffer\ rmail.el\> /home/mbork/ludzie-works/emacs/emacs/lisp/mail/rmail.el /tmp/buffer-content-1903Vxh
> --- /home/mbork/ludzie-works/emacs/emacs/lisp/mail/rmail.el
> +++ #<buffer rmail.el>
> @@ -3699,8 +3699,8 @@
>  	;; point and mark (see doc of sc-cite-original).
>  	(setq yank-action
>  	      `(rmail-yank-current-message ,replybuffer)))
> -    (push (cons "cc" cc) other-headers)
> -    (push (cons "in-reply-to" in-reply-to) other-headers)
> +    (push (cons "Cc" cc) other-headers)
> +    (push (cons "In-reply-to" in-reply-to) other-headers)

This should be "In-Reply-To" as described in RFC 2822 section 3.6.4.

>      (setq other-headers
>  	  (mapcar #'(lambda (elt)
>  		      (cons (car elt) (if (stringp (cdr elt))
>
> Diff finished.  Sun Feb 21 11:24:47 2016